## totem 42.0

=== meson_options.txt ===
option('help', type: 'boolean', value: true, description: 'Build help')
option('enable-easy-codec-installation', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Whether to enable easy codec installation support for GStreamer')
option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable python support')
option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')

=== debian/changelog ===
totem (42.0-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 09:51:27 -0400

totem (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 18:51:02 -0400

totem (42~beta-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 25 Feb 2022 07:32:53 -0500

totem (41~alpha~20220222-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action
  * Removed delta
    - Add dont-make-compulsory.patch:
      + the issue has been fixed upstream now
  * Refresh patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 12:01:35 -0500

totem (41~alpha~20220222-1) experimental; urgency=medium

  * New upstream git snapshot
  * Drop meson patch: applied in new release
  * debian/control.in: Drop no longer needed clutter dependencies
  * debian/control.in: Build-Depend on and Depend on gstreamer1.0-gtk3 & -gl
  * debian/control.in: Build-Depend on libhandy
  * debian/totem-plugins.install:
    MPRIS plugin replaces obsolete media-player-keys

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 11:50:00 -0500

totem (3.38.2-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action
  * Removed delta
    - Add dont-make-compulsory.patch:
      + the issue has been fixed upstream now

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Oct 2021 15:37:03 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: totem
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-python3,
               dpkg-dev (>= 1.16.1),
               gsettings-desktop-schemas-dev,
               gstreamer1.0-gl,
               gstreamer1.0-gtk3,
               gstreamer1.0-plugins-base (>= 1.6.0),
               gstreamer1.0-plugins-good,
               gstreamer1.0-tools,
               gtk-doc-tools (>= 1.14),
               itstool,
               libatk1.0-dev (>= 1.29.4),
               libbluetooth-dev [linux-any],
               libcairo2-dev (>= 1.14.0),
               libgdata-dev (>= 0.8.0),
               libgdk-pixbuf-2.0-dev (>= 2.23.0) | libgdk-pixbuf2.0-dev (>= 2.23.0),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.56.0),
               libgnome-desktop-3-dev,
               libgrilo-0.3-dev (>= 0.3.0),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev (>= 1.6.0),
               libgtk-3-dev (>= 3.22.0),
               libhandy-1-dev (>= 1.5.90),
               libpeas-dev (>= 1.1.0),
               librsvg2-dev (>= 2.16.0-2),
               libsoup2.4-dev,
               libtotem-plparser-dev (>= 3.26.5),
               libxml2-dev (>= 2.6.0),
               meson (>= 0.50.0),
               python3 (>= 3.2),
               python-gi-dev (>= 2.90.3),
               shared-mime-info (>= 0.22),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
Rules-Requires-Root: no
Standards-Version: 4.5.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
Vcs-Git: https://salsa.debian.org/gnome-team/totem.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/totem/tree/ubuntu/master
Homepage: https://wiki.gnome.org/Apps/Videos

Package: libtotem0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Main library for the Totem media player
 This package contains the main library used by the Totem media player. It is
 used both by the media player itself and by the plugins.
 .
 This library is only useful within Totem. You should not have to
 manually install this package.

Package: totem
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${grilo:Depends},
         totem-common (>= ${source:Version}),
         gsettings-desktop-schemas,
         gstreamer1.0-gl,
         gstreamer1.0-gtk3,
         gstreamer1.0-plugins-base (>= 1.6.0),
         gstreamer1.0-plugins-good (>= 1.10),
         gstreamer1.0-x
Recommends: ${gst:Recommends},
            gstreamer1.0-pulseaudio,
            totem-plugins
Suggests: ${gst:Suggests},
          gnome-codec-install
Description: Simple media player for the GNOME desktop based on GStreamer
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats. It features :
 .
    * Shoutcast, m3u, asx, SMIL and ra playlists support
    * DVD (with menus), VCD and Digital CD (with CDDB) playback
    * TV-Out configuration with optional resolution switching
    * 4.0, 5.0, 5.1 and stereo audio output
    * Full-screen mode (move your mouse and you get nice controls) with
      Xinerama, dual-head and RandR support
    * Aspect ratio toggling, scaling based on the video's original size
    * Full keyboard control
    * Simple playlist with repeat mode and saving feature
    * GNOME, Nautilus and GIO integration
    * Screenshot of the current movie
    * Brightness and Contrast control
    * Visualisation plugin when playing audio-only files
    * Video thumbnailer for nautilus
    * Nautilus properties page
    * Works on remote displays
    * DVD, VCD and OGG/OGM subtitles with automatic language selection
    * Extensible with plugins

Package: totem-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains common data files and translations.

Package: totem-plugins
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         totem (= ${binary:Version}),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         gir1.2-totem-1.0 (= ${binary:Version}),
         python3-gi (>= 2.90.3),
         python3-xdg
Description: Plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains a set of recommended plugins for Totem:
 .
    * Control Totem with an Infrared remote control
    * Control Totem with the keyboard's media player keys
    * Display movie properties
    * Deactivate the screensaver when a movie is playing
    * Skip to a defined time in the movie
    * Set the away status in the instant messenger when a movie is
      playing
    * Control totem with a mobile phone using the Bluetooth protocol
    * Share the current playlist via HTTP
    * Search, browse for and play videos from YouTube
 .
 Additional plugins can be written in C or Python.

Package: gir1.2-totem-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: GObject introspection data for Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains introspection data for the Totem media player.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libtotem-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtotem0 (= ${binary:Version}),
         gir1.2-totem-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libtotem-plparser-dev
Description: Main library for the Totem media player - development files
 This package contains development files for the Totem media player library.
 .
 You may need it to develop plugins for Totem.

## totem 43.0

=== meson_options.txt ===
option('help', type: 'boolean', value: true, description: 'Build help')
option('enable-easy-codec-installation', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Whether to enable easy codec installation support for GStreamer')
option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable python support')
option('libportal', type: 'feature', value: 'auto', description: 'Build plugins requiring libportal')
option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')
option('inspector-page', type:'boolean', value: false, description: 'Whether to build the optional GTK inspector page')

=== debian/changelog ===
totem (43.0-3) unstable; urgency=medium

  [ Alban Browaeys ]
  * Fix handling of GTK setting scroll by page

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean
  * Drop unused Build-Depends: libsoup2.4-dev
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 19:58:59 -0500

totem (43.0-2) unstable; urgency=medium

  * Don't recommend gstreamer1.0-pulseaudio

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 17:39:18 -0400

totem (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Drop compatibility with old libgdk-pixbuf2.0-dev package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 14:19:13 -0400

totem (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 11:14:40 -0400

totem (43~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.72.0
  * debian/control.in: Bump minimum libx11 to 1.8
  * debian/control.in: Build-Depend on libportal-gtk
  * debian/totem-common.install: Update
  * Drop gnome-desktop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 12:27:20 -0400

totem (42.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with gnome-desktop 43
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 08:38:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
                dh-sequence-gir,
@@ -26,9 +21,9 @@
                libbluetooth-dev [linux-any],
                libcairo2-dev (>= 1.14.0),
                libgdata-dev (>= 0.8.0),
-               libgdk-pixbuf-2.0-dev (>= 2.23.0) | libgdk-pixbuf2.0-dev (>= 2.23.0),
+               libgdk-pixbuf-2.0-dev (>= 2.23.0),
                libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.56.0),
+               libglib2.0-dev (>= 2.72.0),
                libgnome-desktop-3-dev,
                libgrilo-0.3-dev (>= 0.3.0),
                libgstreamer-plugins-base1.0-dev,
@@ -36,11 +31,12 @@
                libgtk-3-dev (>= 3.22.0),
                libhandy-1-dev (>= 1.5.90),
                libpeas-dev (>= 1.1.0),
+               libportal-gtk3-dev,
                librsvg2-dev (>= 2.16.0-2),
-               libsoup2.4-dev,
                libtotem-plparser-dev (>= 3.26.5),
+               libx11-dev (>= 2:1.8),
                libxml2-dev (>= 2.6.0),
-               meson (>= 0.50.0),
+               meson (>= 0.57.0),
                python3 (>= 3.2),
                python-gi-dev (>= 2.90.3),
                shared-mime-info (>= 0.22),
@@ -48,11 +44,9 @@
                xvfb <!nocheck>,
 Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/totem/tree/ubuntu/master
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/totem
+Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
 Homepage: https://wiki.gnome.org/Apps/Videos
 
 Package: libtotem0
@@ -81,7 +75,6 @@
          gstreamer1.0-plugins-good (>= 1.10),
          gstreamer1.0-x
 Recommends: ${gst:Recommends},
-            gstreamer1.0-pulseaudio,
             totem-plugins
 Suggests: ${gst:Suggests},
           gnome-codec-install

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-easy-codec-installation=yes \
		-Denable-gtk-doc=true \
		-Denable-python=yes

execute_before_dh_auto_build:
	dh_auto_build -- src/Totem-1.0.gir

override_dh_auto_test:
	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test

override_dh_makeshlibs:
	dh_makeshlibs -p totem -X/usr/lib/$(DEB_HOST_MULTIARCH)/nautilus/
	dh_makeshlibs -p libtotem0 -V'libtotem0 (>= $(DEB_VERSION)), libtotem0 (<< $(DEB_GNOME_NEXTVERSION))'
	dh_makeshlibs --remaining-packages -Xplugins/

override_dh_girepository:
	dh_girepository -lsrc

execute_before_dh_python3:
	dh_python3 --no-ext-rename -ptotem-plugins /usr/lib/*/totem/plugins

# Some gstreamer packages are in Ubuntu universe so only suggest them there
# Similarly, Ubuntu has a minified version of grilo-plugins
override_dh_gencontrol:
ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- \
		-Vgst:Recommends="gstreamer1.0-plugins-bad, gstreamer1.0-libav, gstreamer1.0-plugins-ugly" \
		-Vgrilo:Depends="grilo-plugins-0.3"
else
	dh_gencontrol -- \
		-Vgst:Suggests="gstreamer1.0-plugins-bad, gstreamer1.0-libav, gstreamer1.0-plugins-ugly" \
		-Vgrilo:Depends="grilo-plugins-0.3-base"
endif

override_dh_gnome_clean:

## totem 43.1

=== debian/changelog ===
totem (43.1-3ubuntu1) plucky; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 19:57:16 -0400

totem (43.1-3) unstable; urgency=medium

  [ Alban Browaeys ]
  * Cherry-pick patch to fix avi failure to thumbnail via totem
    after changes in shared-mime-info 2.3
  * Add patch to fix thumbnailer failure due to OpenBLAS pthread
    exceeding address space limit (Closes: #967941, #973942)

  [ AsciiWolf ]
  * Cherry-pick patches to remove unused broken plugins
    for Apple Trailers and Vimeo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 19:52:49 -0400

totem (43.1-1ubuntu1) plucky; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 11 Nov 2024 14:42:28 +0100

totem (43.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Remove version constraints unnecessary since Debian 11
  * d/p/fix-scroll-by-page-gtk-settings-handling.patch:
    Drop patch that was applied upstream
  * d/p/Mark-lint-checks-as-part-of-a-suite.patch, d/rules:
    Skip pylint checks in a hopefully upstreamable way
    - d/p/debian/Don-t-run-pylint-at-build-time.patch:
      Remove patch, superseded
  * d/control: Standards-Version: 4.7.0 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Oct 2024 15:28:06 +0100

totem (43.0-4) unstable; urgency=medium

  * Team upload
  * d/control: Remove unused build-dependency on libgdata-dev
    (Closes: #1082017)
  * d/control: Add ${gir:Depends}, ${gir:Provides} to libtotem-dev

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 15:11:52 +0100

totem (43.0-3ubuntu1) oracular; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - Add 91_quicklist_entries.patch:
      + Add static quicklist

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 May 2024 09:51:39 -0400

totem (43.0-2ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - Add 91_quicklist_entries.patch:
      + Add static quicklist

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 13:22:02 -0400

totem (43~rc-1ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Don't recommend gstreamer1.0-pulseaudio
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 11:18:04 -0400

totem (43~beta-1ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Don't recommend gstreamer1.0-pulseaudio
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
  * Drop Add-Mute-action.patch: the function was declared private
  * Modify 91_quicklist_entries.patch to drop Mute action

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 14:16:02 -0400

totem (42.0-2ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Don't recommend gstreamer1.0-pulseaudio
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 31 Jul 2022 18:05:42 -0400

totem (42.0-1ubuntu2) kinetic; urgency=medium

  * Don't recommend gstreamer1.0-pulseaudio

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 20 May 2022 16:45:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,52 +1,53 @@
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
-               dpkg-dev (>= 1.16.1),
                gsettings-desktop-schemas-dev,
                gstreamer1.0-gl,
                gstreamer1.0-gtk3,
-               gstreamer1.0-plugins-base (>= 1.6.0),
+               gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-good,
                gstreamer1.0-tools,
-               gtk-doc-tools (>= 1.14),
+               gtk-doc-tools,
                itstool,
-               libatk1.0-dev (>= 1.29.4),
+               libatk1.0-dev,
                libbluetooth-dev [linux-any],
-               libcairo2-dev (>= 1.14.0),
-               libgdata-dev (>= 0.8.0),
-               libgdk-pixbuf-2.0-dev (>= 2.23.0),
-               libgirepository1.0-dev (>= 0.9.12),
+               libcairo2-dev,
+               libgdk-pixbuf-2.0-dev,
+               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.72.0),
                libgnome-desktop-3-dev,
-               libgrilo-0.3-dev (>= 0.3.0),
+               libgrilo-0.3-dev,
                libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev (>= 1.6.0),
-               libgtk-3-dev (>= 3.22.0),
+               libgstreamer1.0-dev,
+               libgtk-3-dev,
                libhandy-1-dev (>= 1.5.90),
-               libpeas-dev (>= 1.1.0),
+               libpeas-dev,
                libportal-gtk3-dev,
-               librsvg2-dev (>= 2.16.0-2),
-               libtotem-plparser-dev (>= 3.26.5),
+               librsvg2-dev,
+               libtotem-plparser-dev,
                libx11-dev (>= 2:1.8),
-               libxml2-dev (>= 2.6.0),
+               libxml2-dev,
                meson (>= 0.57.0),
-               python3 (>= 3.2),
-               python-gi-dev (>= 2.90.3),
-               shared-mime-info (>= 0.22),
+               python3,
+               python-gi-dev,
+               shared-mime-info,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
+Standards-Version: 4.7.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
+Vcs-Git: https://salsa.debian.org/gnome-team/totem.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/totem/tree/ubuntu/latest
 Homepage: https://wiki.gnome.org/Apps/Videos
 
 Package: libtotem0
@@ -71,8 +72,8 @@
          gsettings-desktop-schemas,
          gstreamer1.0-gl,
          gstreamer1.0-gtk3,
-         gstreamer1.0-plugins-base (>= 1.6.0),
-         gstreamer1.0-plugins-good (>= 1.10),
+         gstreamer1.0-plugins-base,
+         gstreamer1.0-plugins-good,
          gstreamer1.0-x
 Recommends: ${gst:Recommends},
             totem-plugins
@@ -123,7 +124,7 @@
          gir1.2-pango-1.0,
          gir1.2-peas-1.0,
          gir1.2-totem-1.0 (= ${binary:Version}),
-         python3-gi (>= 2.90.3),
+         python3-gi,
          python3-xdg
 Description: Plugins for the Totem media player
  Totem is a simple yet featureful media player for GNOME which can read
@@ -164,13 +165,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          ${shlibs:Depends},
          libtotem0 (= ${binary:Version}),
          gir1.2-totem-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          libgtk-3-dev,
          libtotem-plparser-dev
+Provides: ${gir:Provides},
 Description: Main library for the Totem media player - development files
  This package contains development files for the Totem media player library.
  .

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_auto_build -- src/Totem-1.0.gir
 
 override_dh_auto_test:
-	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test
+	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test -- --no-suite=lint
 
 override_dh_makeshlibs:
 	dh_makeshlibs -p totem -X/usr/lib/$(DEB_HOST_MULTIARCH)/nautilus/

## totem 43.2

=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
 option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')
 option('inspector-page', type:'boolean', value: false, description: 'Whether to build the optional GTK inspector page')
+option('ui-tests', type:'boolean', value: true, description: 'Whether to run tests that require a display')

=== debian/changelog ===
totem (43.2-6ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 14 Aug 2025 12:25:20 +0200

totem (43.2-6) unstable; urgency=medium

  * Team upload
  * d/control: totem-video-thumbnailer Breaks/Replaces older versions
    of totem-common.
    It contains a man page that was previously in totem-common.
    (Closes: #1111061)
  * d/control: Replace libgirepository1.0-dev with gobject-introspection
    and gir1.2-*-dev
  * d/control: Explicitly build-depend on gir1.2-*-dev packages for
    required GIR XML.
    These are provided by the lib*-dev packages, but not if they were built
    with <!nogir>.
  * d/control, d/rules: Only build documentation in Architecture: all builds
  * d/copyright: Remove obsolete FSF postal address
  * d/totem-common.links: Make API documentation available in /usr/share/doc
  * d/totem-common.doc-base: Register API documentation with doc-base

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 10:51:02 +0100

totem (43.2-5) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:26:39 -0400

totem (43.2-4ubuntu1) questing; urgency=medium
  * Resynchronize with Debian. Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist

 -- Charles <charles05@canonical.com>  Mon, 04 Aug 2025 10:22:01 +0100

totem (43.2-4) experimental; urgency=medium

  * Split totem-video-thumbnailer out of totem so that it can accompany
    other apps, such as showtime

 -- Charles <charles05@canonical.com>  Wed, 30 Jul 2025 12:08:41 +0100

totem (43.2-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 21:09:47 +0100

totem (43.2-2) experimental; urgency=medium

  * Team upload
  * Summarize upstream changes in previous changelog entry
  * d/control: Increase libportal build-dependency to 0.7, now required
    upstream due to totem!390.
    This version is already present in trixie, but not in bookworm.
  * d/control: Explicitly build-depend on libepoxy-dev, required by the
    GL check in totem!379

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Jun 2025 11:01:40 +0100

totem (43.2-1) experimental; urgency=medium

  * New upstream release
    - Fix a crash on startup on 32-bit architectures
      (Closes: #986432, totem!393 upstream)
    - Fix memory leaks, one of which could have the side-effect of leaking
      large amounts of disk space in ~/.cache/totem/stream-buffer
      (totem#614, totem!409 upstream)
    - Make the main video widget take keyboard focus when playback starts,
      so that keyboard shortcuts like spacebar to pause work as expected
      (totem!420 upstream)
    - Don't crash the whole application if libportal fails to initialize:
      use xdp_portal_initable_new() instead, which has error reporting
      (totem!390 upstream)
    - Match the window to the application ID so that Wayland compositors
      will show the correct icon
      (totem!391 upstream)
    - Automatically fall back to plain GTK video sink if environment
      variable TOTEM_USE_GST_GTKSINK=1 is set, if the GL driver is too old
      to work, or if the GL driver name indicates software rendering
      (totem!379 upstream)
    - Use GStreamer playbin's convert-sample feature instead of
      reimplementing equivalent functionality locally
      (totem!261 upstream)
    - Exclude m3u playlists from thumbnailing: they are not a video format,
      and loading them from a sandbox with no network access will usually
      fail anyway
      (totem#626 upstream)
    - Avoid a duplicate MIME-type registration for application/x-smil, etc.
      (totem#635 upstream)
    - Allow one thumbnailing process per CPU
      (totem!399 upstream)
    - Fix a deprecation warning in the pythonconsole plugin
      (totem!400 upstream)
    - Stop using a private gnome-shell API to show a "camera flash" effect
      when taking screenshots: unprivileged apps are no longer allowed to
      call into this API, so it had no practical effect
      (totem!371 upstream)
    - AppStream metadata improvements
      + update URLs
      + pin screenshots to the gnome-43 branch so they will not become
        misleading if the UI changes in the main branch
      + add branding colours
    - Fix build system warnings
    - Translation updates
  * Remove all patches except d/p/Mark-lint-checks-as-part-of-a-suite.patch,
    applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 13:20:12 -0400

totem (43.2-0ubuntu1) questing; urgency=medium

  * Resynchronize with Debian (LP: #2112077). Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist
  * New upstream release
  * Remove patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Jun 2025 14:31:20 -0400

totem (43.1-6) unstable; urgency=medium

  * Team upload

  [ Alban Browaeys ]
  * Set number of threads to 1 for common GStreamer decoders

  [ Matthias Klumpp ]
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Mon, 05 May 2025 21:28:32 +0200

totem (43.1-5) unstable; urgency=medium

  * Team upload

  [ Alban Browaeys ]
  * Fix thumbnailing truncated 4K video

 -- Matthias Klumpp <mak@debian.org>  Sun, 04 May 2025 22:01:12 +0200

totem (43.1-4) unstable; urgency=medium

  * Team upload
  * Switch to using appstreamcli for MetaInfo validation

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 18:41:54 +0200

totem (43.1-3ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,29 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
-Build-Depends: appstream-util,
+Build-Depends: appstream,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
+               gir1.2-gio-2.0-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gtk-3.0-dev,
+               gir1.2-totemplparser-1.0-dev,
+               gobject-introspection (>= 1.80),
                gsettings-desktop-schemas-dev,
                gstreamer1.0-gl,
                gstreamer1.0-gtk3,
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-good,
                gstreamer1.0-tools,
-               gtk-doc-tools,
                itstool,
                libatk1.0-dev,
                libbluetooth-dev [linux-any],
                libcairo2-dev,
+               libepoxy-dev,
                libgdk-pixbuf-2.0-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.72.0),
                libgnome-desktop-3-dev,
                libgrilo-0.3-dev,
@@ -30,7 +35,7 @@
                libgtk-3-dev,
                libhandy-1-dev (>= 1.5.90),
                libpeas-dev,
-               libportal-gtk3-dev,
+               libportal-gtk3-dev (>= 0.7),
                librsvg2-dev,
                libtotem-plparser-dev,
                libx11-dev (>= 2:1.8),
@@ -41,9 +46,12 @@
                shared-mime-info,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
+Build-Depends-Indep: gtk-doc-tools,
+                     libgdk-pixbuf2.0-doc,
+                     libglib2.0-doc,
+                     libgtk-3-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
 Vcs-Git: https://salsa.debian.org/gnome-team/totem.git -b ubuntu/latest
@@ -69,6 +77,7 @@
          ${shlibs:Depends},
          ${grilo:Depends},
          totem-common (>= ${source:Version}),
+         totem-video-thumbnailer (>= ${source:Version}),
          gsettings-desktop-schemas,
          gstreamer1.0-gl,
          gstreamer1.0-gtk3,
@@ -145,6 +154,22 @@
  .
  Additional plugins can be written in C or Python.
 
+Package: totem-video-thumbnailer
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         gstreamer1.0-plugins-base,
+Breaks: totem (<< 43.2-4~),
+        totem-common (<< 43.2-4~),
+Replaces: totem (<< 43.2-4~),
+          totem-common (<< 43.2-4~),
+Description: Video thumbnailer provided by the Totem media player
+ Totem is a simple yet featureful media player for GNOME which can read
+ a large number of file formats.
+ .
+ This package contains a program to generate a quantitatively
+ interesting thumbnail from a video file.
+
 Package: gir1.2-totem-1.0
 Section: introspection
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
+
+built_binaries := $(shell dh_listpackages)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
@@ -8,10 +10,16 @@
 %:
 	dh $@
 
+ifneq ($(filter totem-common,$(built_binaries)),)
+docs = true
+else
+docs = false
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Denable-easy-codec-installation=yes \
-		-Denable-gtk-doc=true \
+		-Denable-gtk-doc=$(docs) \
 		-Denable-python=yes
 
 execute_before_dh_auto_build:
